io.etcd.jetcd.maintenance

## Class AlarmResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<AlarmResponse>
  - - io.etcd.jetcd.maintenance.AlarmResponse

All Implemented Interfaces:
  Response

    public class AlarmResponse
    extends AbstractResponse<AlarmResponse>

AlarmResponse returned by `Maintenance.listAlarms()` contains a header and a list of AlarmMember.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`AlarmResponse(AlarmResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<AlarmMember>` `getAlarms()` returns a list of alarms associated with the alarm request.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlarmResponse

    public AlarmResponse(AlarmResponse response)

### Method Detail

#### getAlarms

    public List<AlarmMember> getAlarms()

returns a list of alarms associated with the alarm request.